Get Default Payment Amount
curl --request POST \
--url https://api.meetcampfire.com/coa/api/v1/invoice/{invoice_id}/default-payment \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"posted_at": "2023-12-25",
"transaction_amount": 0
}
'import requests
url = "https://api.meetcampfire.com/coa/api/v1/invoice/{invoice_id}/default-payment"
payload = {
"posted_at": "2023-12-25",
"transaction_amount": 0
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({posted_at: '2023-12-25', transaction_amount: 0})
};
fetch('https://api.meetcampfire.com/coa/api/v1/invoice/{invoice_id}/default-payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"default_payment_amount": 0,
"payment_term_discount_note": "<string>"
}{}{}Accounts Receivable
Get Default Payment Amount
Get the default payment amount for an invoice based on when payment is posted.
If the invoice has discount terms and the posted date is within the discount period, the discounted amount is returned. Otherwise, the full amount is returned.
POST
/
coa
/
api
/
v1
/
invoice
/
{invoice_id}
/
default-payment
Get Default Payment Amount
Authorizations
Token-based authentication with required prefix "Token"
Path Parameters
ID of the invoice
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
⌘I